summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-perl/Mail-SRS/files
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-perl/Mail-SRS/files')
-rw-r--r--dev-perl/Mail-SRS/files/srsd.conf57
-rw-r--r--dev-perl/Mail-SRS/files/srsd.init54
2 files changed, 111 insertions, 0 deletions
diff --git a/dev-perl/Mail-SRS/files/srsd.conf b/dev-perl/Mail-SRS/files/srsd.conf
new file mode 100644
index 000000000000..13b24ea5bd59
--- /dev/null
+++ b/dev-perl/Mail-SRS/files/srsd.conf
@@ -0,0 +1,57 @@
+# conf.d file for srsd
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+# Options available (copied from the man page):
+#
+# --separator
+# String, specified at most once. Defaults to $SRSSEP ("=").
+# Specify the initial separator for the SRS address. See Mail::SRS for
+# details.
+#
+SRSD_SEPARATOR='='
+
+#
+# --secret
+# String, may be specified multiple times, at least one of --secret or
+# --secretfile must be specified.
+#
+# --secret will specify a primary secret and override --secretfile if both are
+# specified. However, secrets read from --secretfile will still be used for
+# decoding if both are specified.
+#
+# Specify an SRS secret. The first specified secret is used for encoding. All
+# secrets are used for decoding.
+#
+# This is a dummy value. Change it to something more relevant.
+SRSD_SECRET_STRING='mysecretstring'
+
+#
+# --secretfile
+# String, specified at most once, at least one of --secret or --secretfile must
+# be specified.
+#
+# A file to read for secrets. Secrets are specified once per line. The first
+# specified secret is used for encoding. Secrets are written one per line. Blank
+# lines and lines starting with a # are ignored. If --secret is not given, then
+# the secret file must be nonempty.
+#
+# This is a dummy value. Change the value as you see fit.
+# SRSD_SECRET_FILE='/etc/mysecretfile'
+
+#
+# --hashlength
+# Integer, may be specified at most once, defaults to 4.
+SRSD_HASHLENGHT=4
+
+#
+# Note: You cannot use both --secret and --secretfile options.
+# The former will override the latter.
+
+# Stick options you wish to use in SRSD_OPTS
+SRSD_OPTS="
+--secret=${SRSD_SECRET_STRING}
+--separator=${SRSD_SEPARATOR}
+--hashlength=${SRSD_HASHLENGHT}
+"
diff --git a/dev-perl/Mail-SRS/files/srsd.init b/dev-perl/Mail-SRS/files/srsd.init
new file mode 100644
index 000000000000..adb6e800d61e
--- /dev/null
+++ b/dev-perl/Mail-SRS/files/srsd.init
@@ -0,0 +1,54 @@
+#!/sbin/runscript
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+pidfile="/var/run/srsd.pid"
+command="/usr/bin/srsd"
+command_args="${SRSD_OPTS}"
+
+depend() {
+ use logger
+}
+
+start_pre() {
+ if [[ ! -z ${SRSD_SECRET_FILE} ]]; then
+ # check for secret file
+ checkpath --file --owner root:root --mode 0644 ${SRSD_SECRET_FILE}
+
+ # srsd complains if the secret file is empty
+ # check for characters in it
+ grep -q '.' ${SRSD_SECRET_FILE}
+
+ # grep returns 0 if a match has been found
+ # 1 otherwise
+ local retval=$?
+ if [[ $retval -ne 0 ]]; then
+ eerror "Secret file \"${SRSD_SECRET_FILE}\" must NOT be empty."
+ return 1
+ fi
+ fi
+
+ return 0
+}
+
+start() {
+ ebegin 'Starting srsd'
+ start-stop-daemon \
+ --start \
+ --background \
+ --pidfile ${pidfile} \
+ --make-pidfile \
+ --exec ${command} \
+ -- ${command_args}
+ eend $?
+}
+
+stop() {
+ ebegin 'Stopping srsd'
+ start-stop-daemon \
+ --stop \
+ --pidfile ${pidfile} \
+ --exec ${command}
+ eend $?
+}